<?

function FormatarData($Data) 
{ 
    $date_array = explode("/",$Data);
  
    $var_day   = $date_array[0]; 
    $var_month = $date_array[1]; 
    $var_year  = $date_array[2]; 

    $format_data = date("Y-m-d H:i:s", mktime(0,0,0,$var_month,$var_day,$var_year)); 
    return($format_data);  
} 

function FormatarDataHora($Data,$Hora,$Min) 
{ 
    $date_array = explode("/",$Data);
  
    $var_day   = $date_array[0]; 
    $var_month = $date_array[1]; 
    $var_year  = $date_array[2]; 

    $format_data = date("Y-m-d H:i:s", mktime($Hora,$Min,0,$var_month,$var_day,$var_year)); 
    return($format_data);  
} 

function IsDate($Data)
{
    if ($Data[2]!='/' or $Data[5]!='/')
        return false;
 
    $date_array = explode("/",$Data); 
    $var_day    = $date_array[0]; 
    $var_month  = $date_array[1]; 
    $var_year   = $date_array[2];
    
    if (!is_numeric($var_day) or !is_numeric($var_month) or !is_numeric($var_year))
        return false;

    if ($var_year< 1000)
        return false;

    $resultado = checkdate($var_month, $var_day, $var_year);
    return $resultado;
}


function draw_header_rentacar()
{
    echo '<TABLE BORDER=1 BORDERCOLOR=#FFFFFF CELLSPACING=0 CELLPADDING=1 WIDTH=560 STYLE="background-color: rgb(215,220,232);" >';
        
    echo '<TR HEIGHT=24 class="header_room">';
    echo '<TD width=60  style="padding-left: 4pt;" ><P><B>SIPP</B></P></TD>';
    echo '<TD width=60  style="padding-left: 4pt;" ><P><B>Car class</B></P></TD>';
    echo '<TD width=180 style="padding-left: 4pt;" ><P><B>Type of car</B></P></TD>';    
    echo '<TD width=80  align=right><P><B>Prices</B> (Total)</P></TD>';
    echo '<TD width=80  align=center><P><B>Select</B></P></TD>';    
    echo '</TR>';

}


function draw_foot_rentacar()
{
    echo '</TABLE>';
}


function diff_days($start_date, $end_date)
{
    return floor((strtotime($end_date) - strtotime($start_date))/86400);
}


function draw_body_rentacar($cod_rentacar, $cod_regiao, $car_pickup_loc, $car_class, $cod_grupo, $desc_viaturas, $sipp, $date_in, $hour_in, $min_in, $date_out, $hour_out, $min_out, $price, $desc_categoria, $dispon)

{

          
    echo "<TR HEIGHT=19 class='header_room'>";
    echo "<TD style='padding-left: 4pt;'>$sipp</TD>"; 
    echo "<TD style='padding-left: 4pt;'>$desc_categoria</TD>"; 
    echo "<TD style='padding-left: 4pt;'>$desc_viaturas</A></TD>";    
    $preco_total = number_format($price, 2, '.', '');
 
    echo '<TD align=right style="padding-right: 4pt;"><P>'.$preco_total.' €</P></TD>';

    if ($dispon == 0)                                        
    {       
       echo '<TD STYLE="background-color: rgb(107,142,198); color: rgb(255,255,255);" align=center><B>Not Available</B></TD>';
    }
    else
    {
       echo '<TD STYLE="background-color: rgb(107,142,198);" class="car_search_link" align=center><B>';
       echo '<A HREF=book_car.php?rentacar='.$cod_rentacar;
       echo "&regiao=".$cod_regiao;
       echo "&date1=".$date_in;
       echo "&hour1=".$hour_in;
       echo "&min1=".$min_in;
       echo "&date2=".$date_out;
       echo "&hour2=".$hour_out;
       echo "&min2=".$min_out;
       echo '&cod_grupo='.$cod_grupo;
       echo '&car_class='.$car_class;
       echo '&pickup_loc='.$car_pickup_loc;
       echo '>Booking</A></B></TD>';
    }
    echo '</TR>';
}


function criar_pesq_rentacar_old($cod_regiao,$data_in,$data_out,$hour_in,$hour_out,$nro_dias,$hora_tol,$car_class,$car_pickup_loc)
{

    $sql = "select a.cod_rentacar, a.cod_grupo, a.descricao, a.sipp, ";    
    $sql = $sql." ((100*e.preco)/(100-b.comissao))* ";
    $sql = $sql." ($nro_dias + (case when $hora_tol > d.horas_tol then 1 else 0 end)) as preco, ";
    $sql = $sql." f.descricao as desc_categoria, ";
    $sql = $sql." min(case when tr_rentacar_dispon.data_inicio is NULL then 1 else 0 end) as disp ";             
    $sql = $sql." from tr_rentacar_grupos a, tr_rentacar b, ";
    $sql = $sql." tr_rentacar_escritorios c, tr_rentacar_tarifas d, ";
    $sql = $sql." tr_rentacar_tarifas_precos e, tr_rentacar_categoria f, ";


    $sql = $sql." tbdatas LEFT JOIN tr_rentacar_dispon on ";
    $sql = $sql." (tbdatas.data >= tr_rentacar_dispon.data_inicio and tbdatas.data <= tr_rentacar_dispon.data_fim ";
    $sql = $sql."  and tr_rentacar_dispon.cod_rentacar = b.cod_rentacar ";
    $sql = $sql."  and tr_rentacar_dispon.cod_grupo = a.cod_grupo) ";
    $sql = $sql." where tbdatas.data >='$data_in' and tbdatas.data <= '$data_out' ";


    $sql = $sql." and a.cod_rentacar = b.cod_rentacar ";
    
    if ($car_class != 0)
        $sql = $sql." and a.cod_categoria = $car_class ";

    $sql = $sql." and a.cod_categoria = f.codigo ";
    $sql = $sql." and c.cod_localidade = $car_pickup_loc ";
    $sql = $sql." and c.entrega = 1 ";
    $sql = $sql." and c.cod_rentacar = b.cod_rentacar ";
    $sql = $sql." and d.cod_rentacar = b.cod_rentacar ";
    $sql = $sql." and e.cod_rentacar = b.cod_rentacar ";
    $sql = $sql." and d.cod_tarifa = e.cod_tarifa ";
    $sql = $sql." and ($nro_dias + (case when $hora_tol > d.horas_tol then 1 else 0 end)) >= e.day_from ";
    $sql = $sql." and ($nro_dias + (case when $hora_tol > d.horas_tol then 1 else 0 end)) <= e.day_to ";
    $sql = $sql." and d.data_inicio <= '$data_in' ";
    $sql = $sql." and d.data_fim >= '$data_in' ";
    $sql = $sql." and e.cod_grupo = a.cod_grupo ";
    $sql = $sql." and c.cod_regiao = $cod_regiao ";
    $sql = $sql." and b.activo = 1 ";

    $sql = $sql." group by b.cod_rentacar, a.cod_grupo ";    
    $sql = $sql." order by preco ";    

    $result = mysql_query($sql) or die("Select rentacars fails");
    return $result;

}


function criar_pesq_rentacar($cod_regiao,$data_in,$data_out,$hour_in,$hour_out,$nro_dias,$hora_tol,$car_class,$car_pickup_loc)
{

    $sql = "select tr_rentacar_grupos.cod_rentacar, tr_rentacar_grupos.cod_grupo, ";
    $sql = $sql." tr_rentacar_grupos.descricao, tr_rentacar_grupos.sipp, ";
    $sql = $sql." ((100*e.preco)/(100-b.comissao))* ";
    $sql = $sql." ($nro_dias + (case when $hora_tol > d.horas_tol then 1 else 0 end)) as preco, ";
    $sql = $sql." f.descricao as desc_categoria, ";
    $sql = $sql." min(case when tr_rentacar_dispon.data_inicio is NULL then 1 else 0 end) as disp ";
    $sql = $sql." from tr_rentacar b, ";
    $sql = $sql." tr_rentacar_escritorios c, tr_rentacar_tarifas d, ";
    $sql = $sql." tr_rentacar_tarifas_precos e, tr_rentacar_categoria f, ";

    $sql = $sql." tbdatas LEFT JOIN tr_rentacar_dispon on ";
    $sql = $sql." (tbdatas.data >= tr_rentacar_dispon.data_inicio and tbdatas.data <= tr_rentacar_dispon.data_fim ";
    $sql = $sql."  AND ((tbdatas.data >='$data_in' and tbdatas.data <= '$data_out') ";
    $sql = $sql."        OR tr_rentacar_dispon.data_inicio IS NULL)) ";
    $sql = $sql."  RIGHT JOIN tr_rentacar_grupos on tr_rentacar_dispon.cod_rentacar = tr_rentacar_grupos.cod_rentacar ";
    $sql = $sql."  and tr_rentacar_dispon.cod_grupo = tr_rentacar_grupos.cod_grupo ";

    $sql = $sql." where tr_rentacar_grupos.cod_rentacar = b.cod_rentacar ";

    if ($car_class != 0)
        $sql = $sql." and tr_rentacar_grupos.cod_categoria = $car_class ";

    $sql = $sql." and tr_rentacar_grupos.cod_categoria = f.codigo ";
    $sql = $sql." and c.cod_localidade = $car_pickup_loc ";
    $sql = $sql." and c.entrega = 1 ";
    $sql = $sql." and c.cod_rentacar = b.cod_rentacar ";
    $sql = $sql." and d.cod_rentacar = b.cod_rentacar ";
    $sql = $sql." and e.cod_rentacar = b.cod_rentacar ";
    $sql = $sql." and d.cod_tarifa = e.cod_tarifa ";
    $sql = $sql." and ($nro_dias + (case when $hora_tol > d.horas_tol then 1 else 0 end)) >= e.day_from ";
    $sql = $sql." and ($nro_dias + (case when $hora_tol > d.horas_tol then 1 else 0 end)) <= e.day_to ";
    $sql = $sql." and d.data_inicio <= '$data_in' ";
    $sql = $sql." and d.data_fim >= '$data_in' ";
    $sql = $sql." and e.cod_grupo = tr_rentacar_grupos.cod_grupo ";
    $sql = $sql." and c.cod_regiao = $cod_regiao ";
    $sql = $sql." and b.activo = 1 ";

    $sql = $sql." group by b.cod_rentacar, tr_rentacar_grupos.cod_grupo ";
    $sql = $sql." order by preco ";

    $result = mysql_query($sql) or die("Select rentacars fails");
    return $result;

}


function mensagem_rentacar_not_found()
{
    echo '<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH=560 HEIGHT=120 >
            <TR HEIGHT=25>
              <TD STYLE="background-color: rgb(215,220,232);">
                <P STYLE="text-align: center;"><B><SPAN STYLE="font-family: Tahoma,Verdana,Arial,Helvetica,Sans-serif,sans-serif; font-size: medium;">Message</SPAN></B></P>
              </TD>
            </TR>
            <TR VALIGN=MIDDLE ALIGN=CENTER HEIGHT=46>
               <TD>
                  <P STYLE="text-align: center;"><SPAN STYLE="font-size: xx-large; color: rgb(0,102,153);">........................</SPAN></P>
               </TD>
            </TR>
            <TR HEIGHT=49>
               <TD ALIGN=CENTER>
                  <P><B><SPAN STYLE="font-family: Verdana,Tahoma,Arial,Helvetica,Sans-serif,sans-serif; font-size: x-small; color: rgb(0,102,153);">Rate not found for this period</SPAN></B></P>
               </TD>
            </TR>
          </TABLE>';
}

?>


